package com.ghy.goods.service;

import com.ghy.goods.domain.Goods;

import java.util.List;

/**
 *  商品模块接口
 * @author clunt
 */
public interface GoodsService {

    /**
     * @param goods 商品属性
     * @return 成功条数
     */
    public int insertGoods(Goods goods);

    /**
     * @param goods 商品属性
     * @return 成功条数
     */
    public int updateGoods(Goods goods);

    /**
     * @param goods 商品入参
     * @return 商品集合
     */
    public List<Goods> selectGoodsList(Goods goods);


    /**
     * @param goodsId 商品id
     * @return 商品
     */
    public Goods selectById(Long goodsId);

    /**
     * @param ids 商品ids
     * @return 删除结果
     */
    public int deleteGoodsByIds(String ids);

    /**
     * 校验商品名称是否重复
     * @param goods 商品属性
     * @return 校验结果 1存在 0不存在
     */
    public String checkGoodsNameUnique(Goods goods);

    /**
     * 校验商品编码是否重复
     * @param goods 商品属性
     * @return 校验结果 1存在 0不存在
     */
    public String checkGoodsCodeUnique(Goods goods);

}
